%define lib_major 0
%define lib_name %mklibname %{name} %{lib_major}
%define devel_name %mklibname %{name} -d

Summary:	C library for parsing command line parameters
Name:		popt
Version:	1.19
Release:	%mkrel 1
License:	MIT
Group:		System/Libraries
Url:		http://rpm5.org/files/popt/
Source0:	http://rpm5.org/files/popt/%{name}-%{version}.tar.xz

%description
Popt is a C library for parsing command line parameters. Popt was
heavily influenced by the getopt() and getopt_long() functions, but
it improves on them by allowing more powerful argument expansion.
Popt can parse arbitrary argv[] style arrays and automatically set
variables based on command line arguments. Popt allows command line
arguments to be aliased via configuration files and includes utility
functions for parsing arbitrary strings into argv[] arrays using
shell-like rules.

%package -n	%{lib_name}
Summary:	Main %{name} library
Group:		System/Libraries
Requires:	%{name}-data = %{version}
Provides:	%{name} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with the %{name} library.


%package static
Summary:	Static library for parsing command line parameters
Group:		Development/Libraries
Requires:	%{devel_name} = %{version}-%{release}

%description static
The popt-static package includes static libraries of the popt library.
Install it if you need to link statically with libpopt.


%package -n	%{devel_name}
Summary:	Development headers and libraries for %{name}
Group:		Development/Libraries
Requires:	%{lib_name}
Provides:	%{name}-devel
Provides:	libpopt-devel

%description -n	%{devel_name} 
This package contains the header files and libraries needed for
developing programs using the %{name} library.

%package -n	%{name}-data
Summary:	Data files for %{name}
Group:		System/Libraries
BuildArch:	noarch

%description -n	popt-data
This package contains popt data files like locales.

%prep
%setup -q

%build
autoreconf -fi
%configure2_5x	--disable-rpath
%make_build

%install
%make_install

%find_lang %{name}
rm -f %{buildroot}%{_libdir}/*.la

mkdir -p %{buildroot}/lib


ln -fs %{_libdir}/libpopt.so.0 %{buildroot}/lib/libpopt.so.0
ln -fs %{_libdir}/libpopt.so.0.0.0 %{buildroot}/lib/libpopt.so.0.0.0
ln -fs %{_libdir}/libpopt.a %{buildroot}/lib/libpopt.a
ln -fs %{_libdir}/libpopt.so %{buildroot}/lib/libpopt.so 

%files -n %{lib_name}
%doc README
%{_libdir}/lib%{name}.so.%{lib_major}*
/lib/lib%{name}.so.%{lib_major}*

%files static
%{_libdir}/libpopt.a
/lib/libpopt.a

%files -n %{devel_name}
%{_includedir}/%{name}.h
%{_libdir}/pkgconfig/popt.pc
%{_libdir}/lib%{name}.so
/lib/libpopt.so 
%{_mandir}/man3/popt.*

%files -n %{name}-data -f %{name}.lang


%changelog
* Tue Sep 27 2022 tex - 1.19-1pclos2022
- new version

* Thu Jun 25 2020 tex - 1.18-1pclos2020
- new version

* Sun Aug 25 2019 tex - 1.16-4pclos2019
- rebuild against updates

* Wed Jul 24 2019 tex - 1.16-3pclos2019
- rebuild against updates

* Tue Jul 23 2019 tex - 1.16-2pclos2019
- rebuild against updates

* Tue Jul 23 2019 tex - 1.16-1pclos2019
- rebuild against updates

